/**
 * @file Alignment.h
 * @author apio (cloudapio.eu)
 * @brief UI component alignment.
 *
 * @copyright Copyright (c) 2023, the Luna authors.
 *
 */

#pragma once
#include <ui/Rect.h>

namespace ui
{
    enum class VerticalAlignment
    {
        Top,
        Center,
        Bottom
    };

    enum class HorizontalAlignment
    {
        Left,
        Center,
        Right
    };

    Rect align(Rect container, Rect contained, VerticalAlignment valign, HorizontalAlignment halign);
}
